@echo off
@REM you need to set 2 env variables : AXISHOME and JAVAHOME, or modify the 2 values here

set SAMPLEDIR=.

if NOT DEFINED AXISHOME (
   echo AXISHOME not defined. Must be defined to run java apps.
   goto END
)

if NOT DEFINED JAVAHOME (
   echo JAVAHOME not defined. Must be defined to run java apps.
   goto END
)

setlocal

:SETENV
set PATH=%JAVAHOME%\bin;%AXISHOME%\bin;%PATH%
set LOCALCLASSPATH=%CD%;%AXISHOME%\lib\axis-ant.jar;%AXISHOME%\lib\commons-logging-1.0.4.jar;%AXISHOME%\lib\saaj.jar;%AXISHOME%\lib\axis.jar;%AXISHOME%\lib\jaxrpc.jar;%AXISHOME%\lib\wsdl4j-1.5.1.jar;%AXISHOME%\lib\commons-discovery-0.2.jar;%AXISHOME%\lib\log4j-1.2.8.jar;%CD%\srm.jar;%CD%\apputils.jar;%CD%\samples.jar
for %%i in ("lib\*.jar") do call lcp.bat %CD%\%%i
set LOCALCLASSPATH=%LOCALCLASSPATH%;%CLASSPATH%

:next
if [%1]==[] goto argend
   set ARG=%ARG% %1
   shift
   goto next
:argend

:DORUN
pushd ..\..
"%JAVAHOME%"\bin\java -cp "%LOCALCLASSPATH%" -Xmx1024M %ARG%
popd

endlocal

:END
echo Done.
